IDProbes {snapCGH} | R Documentation

## Interactive version of genomePlot

### Description

Interactive version of `genomePlot`. Allows the user to click near a probe and the name of that probe will be displayed next to it.

### Usage

    IDProbes(input, array = 1, naut = 22, Y = FALSE, X
                     = FALSE, status, values, pch, cex, col, chrominfo =
                     chrominfo.Mb, ylim = c(-2, 2), ylb = "Log2Ratio",
                     chrom.to.plot = 1, xlim = c(0,NA))

### Arguments

`input` | an object of class `MAList` or `SegList`
`array` | integer of the array (sample) to be plotted.
`naut` | number of autosomes in the organism
`Y` | TRUE if chromosome Y is to be plotted, FALSE otherwise
`X` | TRUE if chromosome X is to be plotted, FALSE otherwise
`status` | character vector giving the control status of each spot on the array, of same length as the number of rows of `log2ratios(input)`. If omitted, all points are plotted in the default color, symbol and size.
`values` | character vector giving values of `status` to be highlighted on the plot. Defaults to unique values of `status`. Ignored if there is no `status` vector.
`pch` | vector or list of plotting characters. Default to integer code 16. Ignored is there is no `status` vector.
`col` | numeric or character vector of colors, of the same length as `values`. Defaults to `1:length(values)`. Ignored if there is no `status` vector.
`cex` | numeric vector of plot symbol expansions, of the the same length as `values`. Defaults to 0.2 for the most common `status` value and 1 for the others. Ignored if there is no `status` vector.
`chrominfo` | a chromosomal information associated with the mapping of the data.
`ylim` | Minimum y-scale to use for plotting.
`chrom.to.plot` | Specify which chromosome to plot
`ylb` | label for the Y-axis.
`xlim` | limits for the x-axis

### Author(s)

Mike Smith

### See Also

`genomePlot`

[Package snapCGH version 1.2.0 Index]